[Stable Update] 2020-11-22 - Kernels, Pamac, Gnome, Jade, OnlyOffice, Xorg-Server

Hello community,

Another stable branch update with some usual updates for you!


Latest release candidate of Nibia is out. Test it now! #stayhome, #staysafe, #stayhealthy

  • Most of our Kernels got renewed
  • Pamac automatically updates appstream-data as needed
  • Some more fixes to our Gnome packages
  • Our inhouse developed Jade-Desktop got some nice updates
  • OnlyOffice is now at 6.0.2
  • We added some more patches to Xorg-Server

If you like following latest Plasma development you may also like to check out our current version of manjaro-kde-dev, which we build on a regular basis against kde-git master packages. Also check out our latest Manjaro Nibia 20.2 release candidate! KDE, XFCE and Gnome


Our current supported kernels

  • linux44 4.4.244
  • linux49 4.9.244
  • linux414 4.14.207
  • linux419 4.19.158
  • linux54 5.4.78
  • linux57 5.7.19 [EOL]
  • linux58 5.8.18 [EOL]
  • linux59 5.9.10
  • linux510 5.10-rc4
  • linux54-rt 5.4.77_rt43
  • linux59-rt 5.9.1_rt19

Packages Changes (Tue Nov 17 15:47:17 CET 2020)

  • stable community x86_64: 97 new and 94 removed package(s)
  • stable core x86_64: 15 new and 15 removed package(s)
  • stable extra x86_64: 130 new and 123 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-11-18           2020-11-22
-------------------------------------------------------------------------------
                          attica-git5.76.0.r772.gcd8b661-15.77.0.r773.g2c73a52-1
                           baloo-git5.77.0.r2868.g401bf2d7-15.77.0.r2870.ga3f89155-1
                       bluedevil-git5.20.80.r2199.g5dae4ed5-15.20.80.r2201.gdd8baa6a-1
                        bluez-qt-git5.76.0.r615.g12739b7-15.77.0.r616.g87ea42d-1
                          breeze-git5.20.80.r2088.g7f18a88c-15.20.80.r2091.g2f351fe1-1
                    breeze-icons-git5.76.0.r1655.g8512583f-15.77.0.r1657.g74ac1f79-1
                       calindori-git   1.2.r39.ge4aa288-1    1.3.r0.ga9eb355-1
                            corectrl              1.1.1-4              1.1.1-5
                               cpu-x 4.0.1.r66.g790bb88-1 4.0.1.r68.g0cd9a3e-1
                        discover-git5.20.80.r7868.g189f2f9d-15.20.80.r7878.gdeb599b8-1
                          disman-git0.520.80.r1773.ga3971e7-10.520.80.r1773.ga3971e7-2
                         edid-decode       r474.9ef2c6e-1       r486.474485f-1
                 freedownloadmanager        6.11.0.3218-1        6.12.1.3374-1
gnome-control-center-pop-shell-shortcuts       3.38.1-1.1                    -
     gnome-shell-extension-pop-shell              1.0.2-1              1.0.3-1
                           jadesktop              1.2.3-1              1.2.4-1
               kactivities-stats-git5.77.0.r306.g791d7d7-15.77.0.r310.gf15381a-1
                            kalk-git   0.1.r35.gc90941f-1   0.1.r39.g44d7e20-1
                        karchive-git5.76.0.r439.ga196223-15.77.0.r440.g7304c28-1
                   kcalendarcore-git5.76.0.r1154.g5fd0c3824-15.77.0.r1157.gfeaa3ddf2-1
                         kconfig-git5.76.0.r744.gaf232ec-15.77.0.r745.g0d45601-1
                     kcoreaddons-git5.76.0.r1062.ge2ed639-15.77.0.r1067.g5b429bdd-1
                      kdeconnect-git20.08.0.r128.gbb619baa-120.08.0.r128.gbb619baa-2
                kdeplasma-addons-git5.20.80.r8423.gdd110f4a2-15.20.80.r8426.g247687bd1-1
                           kdesu-git5.77.0.r421.gb7ba89f-15.77.0.r422.g58bd2da-1
                        kdisplay-git5.20.80.r1428.g4a8202a-15.20.80.r1428.g4a8202a-2
                          kdnssd-git5.76.0.r270.g3c68922-15.77.0.r272.g06c6742-1
                       kdoctools-git5.76.0.r571.gbf82212-15.77.0.r572.g0824f36-1
                      kguiaddons-git5.77.0.r316.g43e657c-15.77.0.r318.g3baa1ed-1
                       kholidays-git5.76.0.r886.ge1f179b-15.77.0.r890.ge31172f-1
                        khotkeys-git5.20.80.r2035.g2e997a0-15.20.80.r2036.gebc3c0f-1
                           ki18n-git5.77.0.r419.g0db5992-15.77.0.r420.g707c477-1
                     kiconthemes-git5.77.0.r451.g3830e19-15.77.0.r453.ge12e24b-1
                     kinfocenter-git5.20.80.r1767.g214aa96-15.20.80.r1768.g176ea1d-1
                             kio-git5.76.0.r4318.g3b244b9d-15.77.0.r4322.g9430379b-1
                       kirigami2-git5.76.0.r2515.geb07d16a-15.77.0.r2522.g07876274-1
                     kitemmodels-git5.76.0.r486.g1d2606f-15.77.0.r487.g0b3c879-1
                      kitemviews-git5.76.0.r286.g4dbf8b8-15.77.0.r287.ga0c7ca2-1
                             kjs-git5.76.0.r298.g1a415a5-15.77.0.r299.g7b33575-1
                      knetattach-git5.20.80.r7988.g880d3a748-15.20.80.r8006.g3ae6b172f-1
                       knewstuff-git5.77.0.r964.g2a25a25b-15.77.0.r965.g858dec4c-1
                  knotifications-git5.76.0.r579.gc025f28-15.77.0.r582.g0e24073-1
                          kparts-git5.77.0.r449.g53db5d1-15.77.0.r450.g3ddc8d6-1
                       kplotting-git5.76.0.r247.g4648c34-15.77.0.r248.g012590b-1
                       krecorder-git        r66.f72b615-1        r66.f72b615-2
                   kscreenlocker-git5.20.80.r808.g5acbf74-15.20.80.r810.ga51dcaf-1
                        kservice-git5.77.0.r831.g1cc298b-15.77.0.r832.g24e0816-1
                       ksysguard-git5.20.80.r3418.g3a30493b-15.20.80.r3440.g85e3e7dd-1
                     ktexteditor-git5.77.0.r2542.g1fb9e63c-15.77.0.r2543.g456170c4-1
                    ktextwidgets-git5.76.0.r345.g2fd36ba-15.77.0.r346.g8b89dcc-1
                   kuserfeedback-git       r704.83982f1-1       r705.1d3f374-1
                         kwallet-git5.77.0.r1017.gfe18fa0-15.77.0.r1018.g492a60e-1
                        kwayland-git5.76.0.r1034.g6710f4b-15.77.0.r1035.gd49c85a-1
                 kwayland-server-git5.20.80.r1182.gd70552f-15.20.80.r1186.gbcf9078-1
                        kweather-git    0.3.r1.gc13638d-1    0.3.r2.g7b633ae-1
                  kwidgetsaddons-git5.76.0.r728.g5aed5c31-15.77.0.r731.ge7d0a893-1
                            kwin-git5.20.80.r18638.gcb9ccdb0f-15.20.80.r18653.g786207a4b-1
                   kwindowsystem-git5.77.0.r539.g40bbc4c-15.77.0.r540.gc338446-1
                          kwinft-git5.20.80.r18120.gdc3bbd5ab-15.20.80.r18120.gdc3bbd5ab-2
                         kxmlgui-git5.76.0.r676.g28a80ab-15.77.0.r677.g717ced2-1
                      libkscreen-git5.20.80.r1547.gb05af98-15.20.80.r1548.g788656c-1
                    libksysguard-git5.20.80.r2005.g04e96f6-15.20.80.r2008.g1c0a168-1
     libnautilus-extension-typeahead             3.38.1-1             3.38.2-1
                maliit-framework-git0.99.1.r54.gee7d872c-10.99.1.r54.gee7d872c-2
               manjaro-arm-installer              1.3.6-1              1.3.6-2
               manjaro-jade-settings           20201029-1           20201120-1
                         mauikit-git  1.2.0.r0.g65adde8-1  1.2.0.r0.g65adde8-2
            microsoft-office-web-jak            1:2.1.0-2            1:2.1.1-2
                 modemmanager-qt-git5.76.0.r472.gfc17b8a-15.77.0.r473.g4323704-1
                  nautilus-typeahead             3.38.1-1             3.38.2-1
               networkmanager-qt-git5.76.0.r1068.g043524a-15.77.0.r1069.gf8adcd9-1
                   okular-mobile-git20.08.3.r146.g3c1fa441d-120.11.80.r9.ga83261db9-1
           onlyoffice-desktopeditors              6.0.1-1              6.0.2-1
                  plasma-desktop-git5.20.80.r7988.g880d3a748-15.20.80.r8006.g3ae6b172f-1
                plasma-framework-git5.77.0.r15650.g390ae7209-15.77.0.r15674.g750deb933-1
                       plasma-nm-git5.20.80.r2978.g350899d6-15.20.80.r2979.gc6b9d6c7-1
         plasma-phone-components-git5.19.90.r36.gd2f4208-15.19.90.r47.g7183475-1
                      plasma-sdk-git5.20.80.r2226.g9ee0148a-15.20.80.r2228.g26c62193-1
                 plasma-settings-git       r817.4756c30-1       r818.2b3c48e-1
          plasma-wayland-session-git5.20.80.r9650.g0eac817df-15.20.80.r9667.g4a1bf5c19-1
                plasma-workspace-git5.20.80.r9650.g0eac817df-15.20.80.r9667.g4a1bf5c19-1
                            popsicle0.1.5.r183.g1a67cff-1  1.3.0.r0.gb9d9332-1
                python-gtkspellcheck              4.0.5-1              4.0.6-1
         python-jade-application-kit              3.5.5-1              3.5.6-2
                           solid-git5.76.0.r618.gffc3078-15.77.0.r619.g6b0fa98-1
             syntax-highlighting-git5.76.0.r1381.gd6fed7b4-15.77.0.r1384.g9f363cac-1
                  systemsettings-git5.20.80.r2316.g8fcc3896-15.20.80.r2321.g204b44e9-1
                    telegram-desktop           2.4.10-0.2           2.4.11-0.1
                    threadweaver-git5.76.0.r456.g7c3448b-15.77.0.r457.gf59e10e-1
                           timeshift20.11.1.r1.g3391f69-220.11.1.r1.g3391f69-3
                            topgrade              5.9.0-1              6.0.0-1
                              ventoy             1.0.28-1             1.0.29-1
                        wrapland-git0.520.80.r1399.g4d4d11d-10.520.80.r1403.g6f4eead-2
                             xplayer              2.2.8-1              2.2.8-2
                             hotspot                    -            1.3.0-1.1
                         libquotient                    -              0.6.2-1
                         neochat-git                    -     r1061.g2c7e7f4-1
                      rustc-demangle                    -           0.1.18-1.1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-11-18           2020-11-22
-------------------------------------------------------------------------------
                   amd-ucode 20201113.r1774.2ea8667-1 20201120.r1785.bc9cd0b-1
              linux-firmware 20201113.r1774.2ea8667-1 20201120.r1785.bc9cd0b-1
                            linux414           4.14.206-1           4.14.207-1
                    linux414-headers           4.14.206-1           4.14.207-1
                            linux419           4.19.157-1           4.19.158-1
                    linux419-headers           4.19.157-1           4.19.158-1
                             linux44            4.4.243-1            4.4.244-1
                     linux44-headers            4.4.243-1            4.4.244-1
                             linux49            4.9.243-1            4.9.244-1
                     linux49-headers            4.9.243-1            4.9.244-1
                             linux54             5.4.77-1             5.4.78-1
                     linux54-headers             5.4.77-1             5.4.78-1
                             linux59              5.9.8-2             5.9.10-1
                     linux59-headers              5.9.8-2             5.9.10-1
                     manjaro-release            20.2pre-1             20.2rc-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-11-18           2020-11-22
-------------------------------------------------------------------------------
            archlinux-appstream-data         20200720-1.1                    -
                gnome-control-center           3.38.1-1.1             3.38.2-1
              grub-theme-live-common               20.2-9              20.2-10
             grub-theme-live-manjaro               20.2-9              20.2-10
                  grub-theme-manjaro               20.2-9              20.2-10
                  linux414-acpi_call            1.1.0-178            1.1.0-179
                   linux414-bbswitch              0.8-178              0.8-179
                linux414-broadcom-wl     6.30.223.271-178     6.30.223.271-179
                linux414-ndiswrapper              1.63-28              1.63-29
               linux414-nvidia-340xx           340.108-48           340.108-49
               linux414-nvidia-390xx           390.132-56           390.132-57
               linux414-nvidia-418xx           418.113-53           418.113-54
               linux414-nvidia-430xx            430.64-54            430.64-55
               linux414-nvidia-435xx            435.21-64            435.21-65
               linux414-nvidia-440xx           440.100-22           440.100-23
               linux414-nvidia-450xx          450.80.02-6          450.80.02-7
               linux414-nvidia-455xx          455.45.01-1          455.45.01-2
                   linux414-nvidiabl             0.88-178             0.88-179
                      linux414-r8168          8.048.03-25          8.048.03-26
                  linux414-rt3562sta       2.4.1.1_r4-174       2.4.1.1_r4-175
                   linux414-tp_smapi              0.43-70              0.43-71
                linux414-vhba-module          20200106-41          20200106-42
    linux414-virtualbox-host-modules             6.1.16-4             6.1.16-5
                        linux414-zfs              0.8.5-6              0.8.5-7
                  linux419-acpi_call            1.1.0-148            1.1.0-149
                   linux419-bbswitch              0.8-148              0.8-149
                linux419-broadcom-wl     6.30.223.271-147     6.30.223.271-148
                linux419-ndiswrapper              1.63-38              1.63-39
               linux419-nvidia-340xx           340.108-68           340.108-69
               linux419-nvidia-390xx           390.132-77           390.132-78
               linux419-nvidia-418xx           418.113-76           418.113-77
               linux419-nvidia-430xx            430.64-76            430.64-77
               linux419-nvidia-435xx            435.21-87            435.21-88
               linux419-nvidia-440xx           440.100-29           440.100-30
               linux419-nvidia-450xx          450.80.02-7          450.80.02-8
               linux419-nvidia-455xx          455.45.01-1          455.45.01-2
                   linux419-nvidiabl             0.88-147             0.88-148
                      linux419-r8168          8.048.03-34          8.048.03-35
                  linux419-rtl8723bu          20200904-13          20200904-14
                   linux419-tp_smapi              0.43-97              0.43-98
                linux419-vhba-module          20200106-62          20200106-63
   linux419-virtualbox-guest-modules             6.1.16-5             6.1.16-6
    linux419-virtualbox-host-modules             6.1.16-5             6.1.16-6
                        linux419-zfs              0.8.5-7              0.8.5-8
                   linux44-acpi_call            1.1.0-174            1.1.0-175
                    linux44-bbswitch              0.8-174              0.8-175
                 linux44-broadcom-wl     6.30.223.271-144     6.30.223.271-145
                 linux44-ndiswrapper              1.63-22              1.63-23
                linux44-nvidia-340xx           340.108-39           340.108-40
                linux44-nvidia-390xx           390.132-45           390.132-46
                linux44-nvidia-418xx           418.113-44           418.113-45
                linux44-nvidia-430xx            430.64-43            430.64-44
                linux44-nvidia-435xx            435.21-45            435.21-46
                linux44-nvidia-440xx           440.100-17           440.100-18
                linux44-nvidia-450xx          450.80.02-5          450.80.02-6
                linux44-nvidia-455xx          455.45.01-1          455.45.01-2
                    linux44-nvidiabl             0.88-174             0.88-175
                       linux44-r8168          8.048.03-19          8.048.03-20
                   linux44-rt3562sta       2.4.1.1_r4-131       2.4.1.1_r4-132
                    linux44-tp_smapi              0.43-53              0.43-54
                 linux44-vhba-module          20200106-35          20200106-36
     linux44-virtualbox-host-modules             6.1.16-3             6.1.16-4
                         linux44-zfs              0.8.5-5              0.8.5-6
                   linux49-acpi_call            1.1.0-188            1.1.0-189
                    linux49-bbswitch              0.8-188              0.8-189
                 linux49-broadcom-wl     6.30.223.271-188     6.30.223.271-189
                 linux49-ndiswrapper              1.63-22              1.63-23
                linux49-nvidia-340xx           340.108-39           340.108-40
                linux49-nvidia-390xx           390.132-46           390.132-47
                linux49-nvidia-418xx           418.113-45           418.113-46
                linux49-nvidia-430xx            430.64-44            430.64-45
                linux49-nvidia-435xx            435.21-51            435.21-52
                linux49-nvidia-440xx           440.100-17           440.100-18
                linux49-nvidia-450xx          450.80.02-5          450.80.02-6
                linux49-nvidia-455xx          455.45.01-1          455.45.01-2
                    linux49-nvidiabl             0.88-188             0.88-189
                       linux49-r8168          8.048.03-19          8.048.03-20
                   linux49-rt3562sta       2.4.1.1_r4-172       2.4.1.1_r4-173
                    linux49-tp_smapi              0.43-56              0.43-57
                 linux49-vhba-module          20200106-35          20200106-36
     linux49-virtualbox-host-modules             6.1.16-3             6.1.16-4
                         linux49-zfs              0.8.5-5              0.8.5-6
                   linux54-acpi_call             1.1.0-85             1.1.0-86
                    linux54-bbswitch               0.8-85               0.8-86
                 linux54-broadcom-wl      6.30.223.271-85      6.30.223.271-86
                 linux54-ndiswrapper              1.63-41              1.63-42
                linux54-nvidia-340xx           340.108-77           340.108-78
                linux54-nvidia-390xx           390.132-85           390.132-86
                linux54-nvidia-418xx           418.113-85           418.113-86
                linux54-nvidia-430xx            430.64-85            430.64-86
                linux54-nvidia-435xx            435.21-85            435.21-86
                linux54-nvidia-440xx           440.100-31           440.100-32
                linux54-nvidia-450xx          450.80.02-7          450.80.02-8
                linux54-nvidia-455xx          455.45.01-1          455.45.01-2
                    linux54-nvidiabl              0.88-85              0.88-86
                       linux54-r8168          8.048.03-37          8.048.03-38
                   linux54-rtl8723bu          20200904-15          20200904-16
                    linux54-tp_smapi              0.43-85              0.43-86
                 linux54-vhba-module          20200106-70          20200106-71
    linux54-virtualbox-guest-modules             6.1.16-5             6.1.16-6
     linux54-virtualbox-host-modules             6.1.16-5             6.1.16-6
                         linux54-zfs              0.8.5-7              0.8.5-8
                   linux59-acpi_call              1.1.0-7              1.1.0-9
                    linux59-bbswitch                0.8-7                0.8-9
                 linux59-broadcom-wl       6.30.223.271-7       6.30.223.271-9
                linux59-nvidia-390xx            390.132-1            390.132-5
                linux59-nvidia-450xx          450.80.02-7          450.80.02-9
                linux59-nvidia-455xx          455.45.01-1          455.45.01-3
                       linux59-r8168           8.048.03-7           8.048.03-9
                   linux59-rtl8723bu           20200904-7           20200904-9
                    linux59-tp_smapi               0.43-7               0.43-9
                 linux59-vhba-module           20200106-7           20200106-9
    linux59-virtualbox-guest-modules             6.1.16-6             6.1.16-8
     linux59-virtualbox-host-modules             6.1.16-6             6.1.16-8
                         linux59-zfs              0.8.5-7              0.8.5-9
                 manjaro-chrootbuild      r160.g0c1e061-1      r161.g750d948-1
                       manjaro-hello              0.6.6-2              0.6.6-3
              manjaro-tools-base-git      r2925.15406d8-1      r2939.0f896a2-1
               manjaro-tools-iso-git      r2925.15406d8-1      r2939.0f896a2-1
               manjaro-tools-pkg-git      r2925.15406d8-1      r2939.0f896a2-1
              manjaro-tools-yaml-git      r2925.15406d8-1      r2939.0f896a2-1
                        pamac-common             9.5.12-1             9.5.12-2
             qt5-xcb-private-headers             5.15.1-3             5.15.2-1
                               snapd             2.47.1-1               2.48-1
                         xorg-server          1.20.9-3 1.20.9.r21.g5c400cae1-1
                  xorg-server-common          1.20.9-3 1.20.9.r21.g5c400cae1-1
                   xorg-server-devel          1.20.9-3 1.20.9.r21.g5c400cae1-1
                  xorg-server-xephyr          1.20.9-3 1.20.9.r21.g5c400cae1-1
                   xorg-server-xnest          1.20.9-3 1.20.9.r21.g5c400cae1-1
                    xorg-server-xvfb          1.20.9-3 1.20.9.r21.g5c400cae1-1
                xorg-server-xwayland          1.20.9-3 1.20.9.r21.g5c400cae1-1
  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

16 Likes

Known issues and solutions

For TL3s and up: This is a wiki post; please edit as necessary.
Please, consider subscribing to the Stable Updates Announcements RSS feed

nvidia-450xx-utils and nvidia-440xx-utils are in conflict

Please click the ► at the beginning of this line to view this solution
  • If you get the following error message:

    resolving dependencies...
    looking for conflicting packages...
    :: nvidia-450xx-utils and nvidia-440xx-utils are in conflict (nvidia-libgl). Remove nvidia-440xx-utils? [y/N] y
    error: failed to prepare transaction (could not satisfy dependencies)
    :: unable to satisfy dependency 'nvidia-440xx-utils=440.100' required by linux54-nvidia-440xx
    :: removing nvidia-440xx-utils breaks dependency 'nvidia-440xx-utils=440.100' required by linux58-nvidia-440xx
    

Warning: do not reboot until this procedure tells you to starting from the next step!

  • Please note the exact nVidia driver you have running by executing:

    mhwd --listinstalled
    
  • Please note the kernel(s) you’ve got installed and remove anything 440-related, including CUDA by executing:

    pamac remove nvidia-440xx-utils linuxZZ-nvidia-440xx cuda nvtop
    

    where ZZ is/are the kernel version(s) you’re running.

  • Repeat for all the kernel versions you have

    How do I know which kernel versions I have?
    • execute ls /boot/linux*
    • any nulber after linux before the - (minus sign) are the kernel(s) you have installed
  • If you would have any other old nVidia drivers that you don’t need any more because your card is supported by the 450 series get rid of them as well.

  • now install the same family of 450 driver you had for the 440 driver, by executing:

    mhwd --install pci Your450Family
    

    where Your450Family is obviously one of video-hybrid-amd-nvidia-440xx-prime OR video-nvidia-440xx that you noted above

  • And finally:

    sudo reboot
    

If this would not have solved your issue, please open a new issue here and state that you followed this procedure already.


Warning: directory permissions differ on /var/lib/dhcpcd/

followed by:

filesystem: 700 package: 755

Please click the ► at the beginning of this line to view this solution
  • The solution:

    sudo chmod 755 /var/lib/dhcpcd/
    
  • The explanation:
    The DHCP Daemon expects the security permissions to be 755 but your system is set to 700. This is just a warning (today) but to ensure you remain up-to-date with the latest and greatest security rules it’s advised to execute the above command.


virtualbox NS_ERROR_FAILURE (0x80004005)

Please click the ► at the beginning of this line to view this solution
  • The solution:
  1. You need to add your user back into the virtualbox user group

    sudo usermod --append --groups vboxusers $USER
    

    (Change $USER to the correct user name if not for yourself)

  2. Upgrade the VirtualBox extension pack to the latest version by executing:

    pamac build virtualbox-ext-oracle
    

PAM and PAMBASE got updated, which might prevent you from login

Please click the ► at the beginning of this line to view more detailed information

Due to updates from pambase and pam you might take care about any .pacnew files in /etc/pam.d as for example pam_tally, pam_tally2 and pam_cracklib got deprecated. Read in the ArchWiki about managing those files.

Typical issue:

For recovery, it is enough to boot with kernel option “systemd.unit=rescue.target”, then proceed into /etc/pam.d and merge “system-auth” and “system-auth.pacnew”


Bad font rendering after freetype2 upgrade

Please click the ► at the beginning of this line to view more detailed information

There were some changes in the freetype2 version 2.10.3 which enable subpixel rendering.
This might look ugly without enabling lcdfilter at the same time.

You can create a symlink in /etc/fonts/conf.d/ to enable “lcddefault” as filter.

sudo ln -s /etc/fonts/conf.avail/11-lcdfilter-default.conf /etc/fonts/conf.d/


Older Issues

Please click the ► at the beginning of this line to view the older issues

System takes a long time to boot

If you’ve got errors like Failed to start Network Manager Wait Online. you can try removing systemd from passwd and group in /etc/nsswitch.conf as described here
Update: If you can see the line
dbus-daemon[1453]: [system] Connection has not authenticated soon enough, closing it (auth_timeout=30000ms, elapsed: 45146ms)
in in your dbus log ( journalctl -b -u dbus ), the new/better workaround is to switch cups from service to socket as described here:
systemctl disable org.cups.cupsd.service
systemctl enable org.cups.cupsd.socket

I think I’ve some font problems

With the update of fontconfig some major rules how fonts get applied changed. Make sure that your system has ttf-dejavu installed. A more in depth explanation can be found here.

Gnome-shell-extension-pop-shell is currently incompatible with wayland

… and causes the system to freeze when the first window is tiled and can render it unbootable. Solution is a hard reset and disabling either pop shell or wayland. If the system becomes unbootable, use a live USB to edit /etc/gdm/custom.conf to disable wayland and reboot.

1 Like

Updated fine like an hour ago. :+1:

Are you sure, that it’s testing update? I’m on stable branch and downloading this update too.

3 Likes

Same here! Came to forum to see why I was getting a new kernel outside of a Stable update. :confused:

2 Likes

Perhaps this is a fast tracked security update hitting both channels?

can confirm. I am on stable and still got the update :slight_smile:

I have made the update on three computers:
1 * KDE and 2 * XFCE
All went fine.

Thanks!

1 Like

I’m unable to upgrade qt5-xcb-private-headers

:: Starting full system upgrade...
resolving dependencies...
warning: cannot resolve "qt5-base=5.15.2", a dependency of "qt5-xcb-private-headers"
:: The following package cannot be upgraded due to unresolvable dependencies:
      qt5-xcb-private-headers

:: Do you want to skip the above package for this upgrade? [y/N] 
error: failed to prepare transaction (could not satisfy dependencies)
:: unable to satisfy dependency 'qt5-base=5.15.2' required by qt5-xcb-private-headers

Kernel 5.9.10 show me in stable branch.

So please post about problems in the current stable announcement


Or just add a vote if there were no problems.

Are your mirrors up to date?

https://wiki.manjaro.org/index.php/Pacman-mirrors#Update_mirrorlist_with_the_fastest_mirrors

I’m was using https://ftp.lysator.liu.se/pub/manjaro/stable/$repo/$arch

But I’ve also tried these mirrors with the same problem:
https://mirror.23media.com/manjaro/stable/$repo/$arch
https://manjaro.moson.org/stable/$repo/$arch
https://manjaro.moson.eu/stable/$repo/$arch
https://manjaro.mirrors.lavatech.top/stable/$repo/$arch

(I don’t particularly like running pacman-mirrors as it is only measuring ping time and not actual download speed.)

How can I check the update status of mirrors? If this status check could be scripted I could build a script that makes sure to never upgrade from a mirror that is in a half upgraded state.

I checked the package and qt5-base that I have installed, it is indeed at 5.15.1-3 instead of the required 5.15.2.

Hello,

update ok, no problems but a (GNOME) question.

This got an update:
nautilus-typeahead 3.38.1 --> 3.38.2

This not:
Files (nautilus) 3.38.1

distrowatchcom reports: Latest Packages: nautilus 3.38.2

Does this mean that nautilus-typeahead 3.38.2 is in sync with nautilus 3.38.2?

Great update! Now Kernel 5.9 finally works on my laptop :smile:

I found Manjaro Repository, Status of mirrors: https://repo.manjaro.org/

All the mirrors I tested above are listed as “Up to date”.

No, this script download pacman db file core for test file

exists ! pacman-mirrors use same api as <repo.manjaro.org> for test if mirror is updated, run it without parameter :wink:

1 Like

I see, thanks for clarifying.
I take it that it is not a mirror issue then?

(I’ve had much better luck with speed by picking mirrors manually than letting pacman-mirros pick them for me, I travel a lot a need to change mirrors often depending on the region I’m in.)

Just for brevity I ran pacman-mirror interactive mode checking all mirrors from Northeren Europe, it picked https://manjaro.moson.org which I tried before and that one does not have the newer version of qt5-base.

I also found “Discover Software”: Package - qt5-base - Discover Packages On Manjaro Linux

qt5-base is listed as being version 5.14.1-3 here so this page is not updated.

Great job !
linux59-nvidia-390xx finally released. :smile:

I fixed it by now.

3 Likes